Subject: Re: BASH history
From: [email-masked] (Gary V. Vaughan)

27 Nov 1998 11:33:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> Hi!
> I'm trying to work myself into Linux & stuff, and I try to use the
> BASH that comes with Cygwin Bxx to work under Win32.
> It's fun, it's somewhat cooler than the DOS-prompt!
> 
> Here's my Question:
>   I found the following file in my root: ".bash_history".
>   It does not at all belong there! (I've got a bad
>   obsessive-compulsive disorder about keeping my system tidy %-}...)
> 
>   How can I prevent BASH from creating this file in my root directory
> (C:\)?

Make sure that you have HOME set in the environment before bash starts
up.  To be really UNIXy, you might want to create a /home directory,
with subdirs for any users of your system.  Then you can add `set
HOME=/home/mvoss' (note the '/', not '\') to your cygnus.bat file.

Assuming that directory exists, bash `.' files (and plenty of other
programs which use user initialisation files) will appear in that
directory instead of C:.

> Thanks,
>   Tiger

You're welcome.

Cheers,
	Gary V. Vaughan.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".